brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From tbou...@apache.org
Subject [14/25] brooklyn-docs git commit: Remove non-main-website items from _build
Date Fri, 16 Feb 2018 10:26:53 GMT
Remove non-main-website items from _build

Cuts out guide, Javadoc and PDF build related code and configuration.


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/commit/b09a69d7
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/tree/b09a69d7
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/diff/b09a69d7

Branch: refs/heads/website
Commit: b09a69d7206cf63142d50b719af072c8addb52f1
Parents: cebbd3a
Author: Richard Downer <richard@apache.org>
Authored: Thu Oct 12 11:22:53 2017 +0100
Committer: Richard Downer <richard@apache.org>
Committed: Tue Oct 17 13:26:06 2017 +0100

----------------------------------------------------------------------
 _build/build-pdf.sh                     |  29 -----
 _build/build.sh                         | 164 ---------------------------
 _build/config-exclude-all-but-guide.yml |   1 -
 _build/config-exclude-root-index.yml    |   1 -
 _build/config-guide-latest.yml          |   3 -
 _build/config-guide-root.yml            |   2 -
 _build/config-guide-version.yml         |   6 -
 _build/config-pygments.yml              |  28 -----
 _build/config-rdiscount.yml             |  28 -----
 _build/config-style-latest.yml          |   2 -
 _build/config-subpath-brooklyn.yml      |   9 --
 _build/javadoc-overview.html            |  15 ---
 _build/make-javadoc.sh                  |  60 ----------
 _build/quick-make-few-javadoc.sh        |   6 -
 14 files changed, 354 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/build-pdf.sh
----------------------------------------------------------------------
diff --git a/_build/build-pdf.sh b/_build/build-pdf.sh
deleted file mode 100755
index 175458e..0000000
--- a/_build/build-pdf.sh
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/usr/bin/env bash
-#
-# this generates A PDF from a HTML file
-
-if [ ! -x _build/build.sh ] ; then
-  echo "ERROR: script must be run in root of docs dir"
-  exit 1
-fi
-
-if [ "$#" -lt 2 ] ; then
-	echo "Usage: build-pdf.sh <source html> <target PDF> [user-style-sheet]"
-	exit 1
-fi
-
-if ! command -v wkhtmltopdf >/dev/null 2>&1; then
-	echo "ERROR: script requires wkhtmltopdf but it's not installed."
-	exit 1
-fi
-	
-# run the PDF build with wkhtmltopdf
-wkhtmltopdf ${3:+--user-style-sheet $3} --page-size Letter --margin-top 0.75in --margin-right
0.75in --margin-bottom 0.75in --margin-left 0.75in --encoding UTF-8 $1 $2
-
-if [ $? -eq 1 ] ; then
-	echo "Note that ContentNotFoundError is usually because of the invalid relational path of
a local resource such as an image"
-elif [ $? -eq 0 ] ; then
-	echo "PDF Built successfully."
-else 
-	exit $?
-fi
\ No newline at end of file

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/build.sh
----------------------------------------------------------------------
diff --git a/_build/build.sh b/_build/build.sh
index b5674b9..8edfe50 100755
--- a/_build/build.sh
+++ b/_build/build.sh
@@ -3,9 +3,6 @@
 # this generates the site in _site
 # override --url /myMountPoint  (as an argument to this script) if you don't like the default
set in /_config.yml
 
-export JAVADOC_SUBPATH=misc/javadoc
-export JAVADOC_BUILD_TARGET_SUBPATH=javadoc
-
 if [ ! -x _build/build.sh ] ; then
   echo ERROR: script must be run in root of docs dir
   exit 1
@@ -18,25 +15,13 @@ function help() {
   echo "Usage:  _build/build.sh MODE [ARGS]"
   echo ""
   echo "where MODE can be any of:"
-  echo "* test-both : to build the website to root and guide to /v/latest/ (for testing)"
   echo "* website-root  : to build the website only, in the root"
-  echo "* guide-latest  : to build the guide only, in /v/latest/"
-  # BROOKLYN_VERSION_BELOW
-  echo "* guide-version : to build the guide only, in the versioned namespace /v/1.0.0-SNAPSHOT/"
-  echo "* test-guide-root : to build the guide only, in the root (for testing)"
-  echo "* test-both-sub : to build the website to /sub/ and guide to /sub/v/latest/ (for
testing)"
-  echo "* original : to build the files in their original location (website it /website and
guide in /guide/, for testing)"
   echo ""
   echo "and supported ARGS are:"
-  echo "* --skip-javadoc : to skip javadoc build"
-  echo "* --quick-javadoc : to do a quick javadoc build (for testing)"
   echo "* --serve : serve files from _site after building (for testing)"
   echo "* --install : install files from _site to the appropriate place in "'$'"BROOKLYN_SITE_DIR
(or ../../brooklyn-site-public)"
   echo "* --skip-htmlproof : skip the HTML Proof run on _site"
   echo "* --quick-htmlproof : do a fast HTML Proof run on _site (not checking external links)"
-  echo "* --skip-pdf : skip generation of all PDF Documentation"
-  echo "* --skip-pdf-manual : skip generation of the PDF Manual"
-  echo "* --skip-pdf-started : skip generation of the Getting Started PDF"
   echo ""
 }
 
@@ -50,78 +35,11 @@ function parse_mode() {
     STYLE_SUBDIR=style
     DIRS_TO_MOVE[0]=website
     DIRS_TO_MOVE_TARGET[0]=""
-    SKIP_JAVADOC=true
     INSTALL_RSYNC_OPTIONS="--exclude v"
     INSTALL_RSYNC_SUBDIR=""
     SUMMARY="website files in the root"
     HTMLPROOF_OPTS=--ignore-v-refs
     ;;
-  guide-latest)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml,_build/config-exclude-all-but-guide.yml,_build/config-guide-latest.yml,_build/config-style-latest.yml
-    DIRS_TO_MOVE[0]=guide
-    DIRS_TO_MOVE_TARGET[0]=v/latest
-    DIRS_TO_MOVE[1]=style
-    STYLE_SUBDIR=${DIRS_TO_MOVE_TARGET[0]}/style
-    DIRS_TO_MOVE_TARGET[1]=$STYLE_SUBDIR
-    INSTALL_RSYNC_OPTIONS=""
-    INSTALL_RSYNC_SUBDIR=${DIRS_TO_MOVE_TARGET[0]}/
-    JAVADOC_TARGET=${DIRS_TO_MOVE_TARGET[0]}/$JAVADOC_SUBPATH/
-    SUMMARY="user guide files in /${DIRS_TO_MOVE_TARGET[0]}"
-    HTMLPROOF_OPTS=--v-only
-    ;;
-  guide-version)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml,_build/config-exclude-all-but-guide.yml,_build/config-guide-version.yml
-    # Mac bash defaults to v3 not v4, so can't use assoc arrays :(
-    DIRS_TO_MOVE[0]=guide
-    # BROOKLYN_VERSION_BELOW
-    DIRS_TO_MOVE_TARGET[0]=v/1.0.0-SNAPSHOT
-    DIRS_TO_MOVE[1]=style
-    STYLE_SUBDIR=${DIRS_TO_MOVE_TARGET[0]}/style
-    DIRS_TO_MOVE_TARGET[1]=$STYLE_SUBDIR
-    INSTALL_RSYNC_OPTIONS=""
-    INSTALL_RSYNC_SUBDIR=${DIRS_TO_MOVE_TARGET[0]}/
-    JAVADOC_TARGET=${DIRS_TO_MOVE_TARGET[0]}/$JAVADOC_SUBPATH/
-    SUMMARY="user guide files in /${DIRS_TO_MOVE_TARGET[0]}"
-    HTMLPROOF_OPTS=--v-only
-    ;;
-  test-guide-root)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml,_build/config-exclude-all-but-guide.yml,_build/config-guide-root.yml
-    DIRS_TO_MOVE[0]=guide
-    DIRS_TO_MOVE_TARGET[0]=""
-    STYLE_SUBDIR=style
-    JAVADOC_TARGET=$JAVADOC_SUBPATH/
-    SUMMARY="user guide files in the root"
-    ;;
-  test-both)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml,_build/config-exclude-root-index.yml,_build/config-website-root.yml,_build/config-guide-latest.yml
-    DIRS_TO_MOVE[0]=guide
-    DIRS_TO_MOVE_TARGET[0]=v/latest
-    DIRS_TO_MOVE[1]=website
-    DIRS_TO_MOVE_TARGET[1]=""
-    STYLE_SUBDIR=style
-    JAVADOC_TARGET=${DIRS_TO_MOVE_TARGET[0]}/$JAVADOC_SUBPATH/
-    SUMMARY="all files, website in root and guide in /${DIRS_TO_MOVE_TARGET[0]}"
-    HTMLPROOF_OPTS=--ignore-v-refs
-    ;;
-  test-both-sub)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml,_build/config-exclude-root-index.yml,_build/config-subpath-brooklyn.yml
-    DIRS_TO_MOVE[0]=guide
-    DIRS_TO_MOVE_TARGET[0]=brooklyn/v/latest
-    DIRS_TO_MOVE[1]=website
-    DIRS_TO_MOVE_TARGET[1]=brooklyn
-    DIRS_TO_MOVE[2]=style
-    STYLE_SUBDIR=${DIRS_TO_MOVE_TARGET[1]}/style
-    DIRS_TO_MOVE_TARGET[2]=$STYLE_SUBDIR
-    JAVADOC_TARGET=${DIRS_TO_MOVE_TARGET[0]}/$JAVADOC_SUBPATH/
-    SUMMARY="all files in /brooklyn"
-    HTMLPROOF_OPTS=--ignore-v-refs
-    ;;
-  original)
-    JEKYLL_CONFIG=_config.yml,_build/config-production.yml
-    STYLE_SUBDIR=style
-    SUMMARY="all files in their original place"
-    HTMLPROOF_OPTS=--ignore-v-refs
-    ;;
   "")
     echo "ERROR: mode is required; try 'help'"
     exit 1 ;;
@@ -135,14 +53,6 @@ function parse_mode() {
 function parse_arguments() {
   while (( "$#" )); do
     case $1 in
-    "--skip-javadoc")
-      SKIP_JAVADOC=true
-      shift
-      ;;
-    "--quick-javadoc")
-      QUICK_JAVADOC=true
-      shift
-      ;;
     "--serve")
       SERVE_AFTERWARDS=true
       shift
@@ -159,18 +69,6 @@ function parse_arguments() {
       QUICK_HTMLPROOF=true
       shift
       ;;
-    "--skip-pdf")
-      SKIP_PDF=true
-      shift
-      ;;
-    "--skip-pdf-manual")
-      SKIP_PDF_MANUAL=true
-      shift
-      ;;
-    "--skip-pdf-started")
-      SKIP_PDF_STARTED=true
-      shift
-      ;;
     *)
       echo "ERROR: invalid argument '"$1"'"
       exit 1
@@ -180,27 +78,6 @@ function parse_arguments() {
 }
 
 # Runs htmlproof against _site
-function build_pdf() {
-  if [ "$SKIP_PDF" == "true" ]; then
-    return
-  fi
-  echo "Running PDF Generation on _site/UserManual.html"
-  rm -rf _pdf
-  mkdir -p _pdf
-  PDF_MANUAL_LOG="_pdf/pdf_gen_manual.log"
-  PDF_STARTED_LOG="_pdf/pdf_gen_started.log"
-  
-  if [ "$SKIP_PDF_MANUAL" != "true" ]; then
-    _build/build-pdf.sh "_site/zoneMergeManual.html" "_pdf/UserManual.pdf" 2>&1 |
tee $PDF_MANUAL_LOG
-    _build/build-pdf.sh "_site/zoneMergeManual.html" "_pdf/UserManual_printable.pdf" "./style/css/printable.css"
2>&1 | tee $PDF_MANUAL_LOG
-  fi
-  if [ "$SKIP_PDF_STARTED" != "true" ]; then
-    _build/build-pdf.sh "_site/zoneMergeStarted.html" "_pdf/GettingStarted.pdf" 2>&1
| tee $PDF_STARTED_LOG
-    _build/build-pdf.sh "_site/zoneMergeStarted.html" "_pdf/GettingStarted_printable.pdf"
"./style/css/printable.css" 2>&1 | tee $PDF_STARTED_LOG
-  fi
-}
-
-# Runs htmlproof against _site
 function test_site() {
   if [ "$SKIP_HTMLPROOF" == "true" ]; then
     return
@@ -249,29 +126,6 @@ function make_jekyll() {
   rm -rf _site/long_grass
 }
 
-function make_javadoc() {
-  if [ "$SKIP_JAVADOC" == "true" ]; then
-    return
-  fi
-  pushd _build > /dev/null
-  rm -rf target/$JAVADOC_BUILD_TARGET_SUBPATH
-  if [ "$QUICK_JAVADOC" == "true" ]; then
-    ./quick-make-few-javadoc.sh || { echo ERROR: failed javadoc build ; exit 1 ; }
-  else
-    ./make-javadoc.sh || { echo ERROR: failed javadoc build ; exit 1 ; }
-  fi
-  popd > /dev/null
-  if [ ! -z "$JAVADOC_TARGET" ]; then
-    if [ ! -d "_site/$JAVADOC_TARGET" ]; then
-      echo "ERROR: javadoc target directory _site/$JAVADOC_TARGET gone; is there a jekyll
already watching?"
-      return 1
-    fi
-    mv _build/target/$JAVADOC_BUILD_TARGET_SUBPATH/* _site/$JAVADOC_TARGET
-    cat _site/${STYLE_SUBDIR}/css/javadoc.css >> _site/$JAVADOC_TARGET/stylesheet.css
|| return 1
-    cp _site/${STYLE_SUBDIR}/img/feather.png _site/$JAVADOC_TARGET/ || return 1
-  fi
-}
-
 function make_install() {
   if [ "$INSTALL_AFTERWARDS" != "true" ]; then
     return
@@ -284,7 +138,6 @@ function make_install() {
     echo "ERROR: _site/guide dir exists, not installing as files may be corrupted; is there
a jekyll already watching?"
     return 1
   fi
-  if [ ! -z ${QUICK_JAVADOC+SET} ]; then echo "ERROR: --install not permitted when doing
quick javadoc" ; return 1 ; fi
 
   SITE_DIR=${BROOKLYN_SITE_DIR-../../brooklyn-site-public}
   ls $SITE_DIR/style/img/apache-brooklyn-logo-244px-wide.png > /dev/null || { echo "ERROR:
cannot find brooklyn-site-public; set BROOKLYN_SITE_DIR" ; return 1 ; }
@@ -293,19 +146,6 @@ function make_install() {
   
   RSYNC_COMMAND_BASE="rsync -rvi --delete --exclude .svn"
   
-  if [ ! -z ${JAVADOC_TARGET+SET} ]; then
-    if [ ! -z ${SKIP_JAVADOC+SET} ]; then
-      echo 'grep "Generated by javadoc" '$SITE_DIR/$INSTALL_RSYNC_SUBDIR/$JAVADOC_SUBPATH/index.html
-      export JAVADOC_LAST_DATE=`grep "Generated by javadoc" $SITE_DIR/$INSTALL_RSYNC_SUBDIR/$JAVADOC_SUBPATH/index.html`
-      if [ -z "$JAVADOC_LAST_DATE" ]; then
-        echo "ERROR: installing with skipped javadoc, but no previous javadoc exists"
-        return 1
-      fi
-      echo "Installing with skipped javadoc, reusing old: $JAVADOC_LAST_DATE"
-      RSYNC_COMMAND_BASE="$RSYNC_COMMAND_BASE --exclude $JAVADOC_SUBPATH"
-    fi
-  fi
-  
   RSYNC_COMMAND="$RSYNC_COMMAND_BASE $INSTALL_RSYNC_OPTIONS ./_site/$INSTALL_RSYNC_SUBDIR
$SITE_DIR/$INSTALL_RSYNC_SUBDIR"
   echo INSTALLING to local site svn repo with: $RSYNC_COMMAND
   $RSYNC_COMMAND | tee _build/target/rsync.log || return 1
@@ -338,10 +178,6 @@ fi
 
 make_jekyll || { echo ERROR: failed jekyll docs build in `pwd` ; exit 1 ; }
 
-make_javadoc || { echo ERROR: failed javadoc build ; exit 1 ; }
-
-build_pdf
-
 test_site
 
 # TODO build catalog

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-exclude-all-but-guide.yml
----------------------------------------------------------------------
diff --git a/_build/config-exclude-all-but-guide.yml b/_build/config-exclude-all-but-guide.yml
deleted file mode 100644
index 08e4d78..0000000
--- a/_build/config-exclude-all-but-guide.yml
+++ /dev/null
@@ -1 +0,0 @@
-exclude: ['/Gemfile*','/README.md','/index.md','/website/']

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-exclude-root-index.yml
----------------------------------------------------------------------
diff --git a/_build/config-exclude-root-index.yml b/_build/config-exclude-root-index.yml
deleted file mode 100644
index 6eba321..0000000
--- a/_build/config-exclude-root-index.yml
+++ /dev/null
@@ -1 +0,0 @@
-exclude: ['/Gemfile*','/README.md','/index.md']

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-guide-latest.yml
----------------------------------------------------------------------
diff --git a/_build/config-guide-latest.yml b/_build/config-guide-latest.yml
deleted file mode 100644
index faf2631..0000000
--- a/_build/config-guide-latest.yml
+++ /dev/null
@@ -1,3 +0,0 @@
-path:
-  guide: /v/latest
-  website: ""

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-guide-root.yml
----------------------------------------------------------------------
diff --git a/_build/config-guide-root.yml b/_build/config-guide-root.yml
deleted file mode 100644
index f45a593..0000000
--- a/_build/config-guide-root.yml
+++ /dev/null
@@ -1,2 +0,0 @@
-path:
-  guide: ""

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-guide-version.yml
----------------------------------------------------------------------
diff --git a/_build/config-guide-version.yml b/_build/config-guide-version.yml
deleted file mode 100644
index b3b5c17..0000000
--- a/_build/config-guide-version.yml
+++ /dev/null
@@ -1,6 +0,0 @@
-path:
-  # BROOKLYN_VERSION_BELOW
-  guide: /v/1.0.0-SNAPSHOT
-  # BROOKLYN_VERSION_BELOW
-  style: /v/1.0.0-SNAPSHOT/style
-  website: ""

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-pygments.yml
----------------------------------------------------------------------
diff --git a/_build/config-pygments.yml b/_build/config-pygments.yml
deleted file mode 100644
index 29f85d5..0000000
--- a/_build/config-pygments.yml
+++ /dev/null
@@ -1,28 +0,0 @@
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#  http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-# this uses python pygments engine to render code;
-# with recent jekyll (dec 2014) i can't see any difference,
-# and the formatting appears to be following pygments rules
-# without it, so perhaps the jekyll ruby highlighter is very
-# good (identical? i see a pygments gem, even if the docs
-# say it is using something called "rouge");
-# included here so it is documented at least.
-# NB: you may need `python easy_install pygments`
-highlighter: pygments

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-rdiscount.yml
----------------------------------------------------------------------
diff --git a/_build/config-rdiscount.yml b/_build/config-rdiscount.yml
deleted file mode 100644
index aa82ee3..0000000
--- a/_build/config-rdiscount.yml
+++ /dev/null
@@ -1,28 +0,0 @@
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements.  See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership.  The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License.  You may obtain a copy of the License at
-#
-#  http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied.  See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-# add this file as a config to use "rdiscount" markdown processor
-# instead of the default ruby/jekyll one.
-# rdiscount is the original, and C-based, so a bit faster
-# (but not much, 7s vs 8.5s on my system -alex)
-# and slightly more forgiving, e.g. for <a href="chapter"> tags
-# on a line directly about a section header
-# (ruby markdown seems to want a blank line between the two).
-# NB: this requires adding "rdiscount" to your Gemfile, then `cd ~ ; cd -`
-markdown: rdiscount

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-style-latest.yml
----------------------------------------------------------------------
diff --git a/_build/config-style-latest.yml b/_build/config-style-latest.yml
deleted file mode 100644
index d03b87d..0000000
--- a/_build/config-style-latest.yml
+++ /dev/null
@@ -1,2 +0,0 @@
-path:
-  style: /v/latest/style

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/config-subpath-brooklyn.yml
----------------------------------------------------------------------
diff --git a/_build/config-subpath-brooklyn.yml b/_build/config-subpath-brooklyn.yml
deleted file mode 100644
index ade7e19..0000000
--- a/_build/config-subpath-brooklyn.yml
+++ /dev/null
@@ -1,9 +0,0 @@
-# to test for absolute reference problems, prefix each of the paths and set the baseurl
-
-path:
-  style: /brooklyn/style
-  guide: /brooklyn/v/latest
-  website: /brooklyn
-  v: /brooklyn/v
-
-baseurl: /brooklyn

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/javadoc-overview.html
----------------------------------------------------------------------
diff --git a/_build/javadoc-overview.html b/_build/javadoc-overview.html
deleted file mode 100644
index 1a5d50d..0000000
--- a/_build/javadoc-overview.html
+++ /dev/null
@@ -1,15 +0,0 @@
-<html><body>
-
-<!-- BROOKLYN_VERSION_BELOW -->
-Javadoc for <a href="http://brooklyn.io"> Apache Brooklyn</a> 1.0.0-SNAPSHOT
-
-<p>
-                Apache Brooklyn is distributed under the <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache
License v2.0</a>.
-</p>
-
-<p>
-<!-- BROOKLYN_VERSION_BELOW -->
-This is the Javadoc for v 1.0.0-SNAPSHOT (git SHA1 hash ${SHA1STAMP}) auto-generated on ${DATESTAMP}.
-</p> 
-
-</body><html>

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/make-javadoc.sh
----------------------------------------------------------------------
diff --git a/_build/make-javadoc.sh b/_build/make-javadoc.sh
deleted file mode 100755
index c7d9a5a..0000000
--- a/_build/make-javadoc.sh
+++ /dev/null
@@ -1,60 +0,0 @@
-#!/usr/bin/env bash
-
-JAVADOC_TARGET1_SUBPATH=javadoc
-JAVADOC_TARGET2_SUBPATH=misc/javadoc
-
-if [ ! -x make-javadoc.sh ]; then
-  echo This command must be run from the _build directory, not its parent.
-  exit 1
-fi
-
-if [ -z "$BROOKLYN_JAVADOC_SOURCE_PATHS" ]; then
-  echo detecting source paths for javadoc
-  export SOURCE_PATHS=`find ../.. -name java | grep "src/main/java$" | grep -v "^../../sandbox"
| tr "\\n" ":"`
-else
-  echo using pre-defined source paths $BROOKLYN_JAVADOC_SOURCE_PATHS
-  export SOURCE_PATHS=$BROOKLYN_JAVADOC_SOURCE_PATHS
-fi
-
-mkdir -p target
-rm -rf target/$JAVADOC_TARGET1_SUBPATH/
-
-export YEARSTAMP=`date "+%Y"`
-export DATESTAMP=`date "+%Y-%m-%d"`
-export SHA1STAMP=`git rev-parse HEAD`
-
-# BROOKLYN_VERSION_BELOW
-export BROOKLYN_JAVADOC_CLASSPATH=$( mvn -f ../../pom.xml --projects :brooklyn-all dependency:build-classpath
| grep -E -v '^\[[A-Z]+\]' )
-
-echo "building javadoc at $DATESTAMP from:
-$SOURCE_PATHS"
-
-javadoc -sourcepath $SOURCE_PATHS \
-  -public \
-  -d target/$JAVADOC_TARGET1_SUBPATH/ \
-  -subpackages "org.apache.brooklyn:io.brooklyn:brooklyn" \
-  -classpath "${BROOKLYN_JAVADOC_CLASSPATH}" \
-  -doctitle "Apache Brooklyn" \
-  -windowtitle "Apache Brooklyn" \
-  -notimestamp \
-  -overview javadoc-overview.html \
-  -header '<a href="/" class="brooklyn-header">Apache Brooklyn <div class="img"></div></a>'
\
-  -footer '<b>Apache Brooklyn - Multi-Cloud Application Management</b> <br/>
<a href="http://brooklyn.io/" target="_top">brooklyn.io</a>. Apache License. &copy;
'$YEARSTAMP'.' \
-2>&1 1>/dev/null | tee target/javadoc.log
-
-if ((${PIPESTATUS[0]})) ; then echo ; echo ; echo "wARNING: javadoc process exited non-zero"
; echo ; echo ; fi
-echo ; echo
-
-if [ ! -f target/$JAVADOC_TARGET1_SUBPATH/org/apache/brooklyn/api/entity/Entity.html ]; then
echo "ERROR: missing expected content. Are the paths right?" ; exit 1 ; fi
-
-if [ ! -z "`grep warnings target/javadoc.log`" ] ; then echo "WARNINGs occurred during javadoc
build. See target/javadoc.log for more information." ; fi
-
-sed -i.bak s/'${DATESTAMP}'/"${DATESTAMP}"/ target/$JAVADOC_TARGET1_SUBPATH/overview-summary.html
-sed -i.bak s/'${SHA1STAMP}'/"${SHA1STAMP}"/ target/$JAVADOC_TARGET1_SUBPATH/overview-summary.html
-rm target/$JAVADOC_TARGET1_SUBPATH/*.bak
-
-if [ -d ../_site/guide/$JAVADOC_TARGET2_SUBPATH/ ] ; then
-  echo "API directory detected in test structure _site, copying docs there so they can be
served with serve-site.sh"
-  cp -r target/$JAVADOC_TARGET1_SUBPATH/* ../_site/guide/$JAVADOC_TARGET2_SUBPATH/
-fi
-

http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/b09a69d7/_build/quick-make-few-javadoc.sh
----------------------------------------------------------------------
diff --git a/_build/quick-make-few-javadoc.sh b/_build/quick-make-few-javadoc.sh
deleted file mode 100755
index e78d79b..0000000
--- a/_build/quick-make-few-javadoc.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/usr/bin/env bash
-
-export BROOKLYN_JAVADOC_SOURCE_PATHS="../../api/src/main/java"
-echo LIMITING build to $BROOKLYN_JAVADOC_SOURCE_PATHS for speed
-./make-javadoc.sh
-


Mime
View raw message